Package org.apache.sling.testing.clients.interceptors

# Class TestDescriptionHolder

java.lang.Object
org.apache.sling.testing.clients.interceptors.TestDescriptionHolder

public class TestDescriptionHolder extends Object

## Constructor Summary

Constructors
Constructor
Description
`TestDescriptionHolder()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getClassName()`
`static String`
`getMethodName()`
`static void`
`removeClassName()`
`static void`
`removeMethodName()`
`static void`
`setClassName(String className)`
`static void`
`setMethodName(String methodName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestDescriptionHolder

public TestDescriptionHolder()

## Method Details

### getMethodName

public static String getMethodName()

### setMethodName

public static void setMethodName(String methodName)

### removeMethodName

public static void removeMethodName()

### getClassName

public static String getClassName()

### setClassName

public static void setClassName(String className)

### removeClassName

public static void removeClassName()